Bug 1598356

Summary: delay gluster-blockd start until all bricks comeup
Product: Red Hat Gluster Storage Reporter: Pranith Kumar K <pkarampu>
Component: glusterdAssignee: Pranith Kumar K <pkarampu>
Status: CLOSED ERRATA QA Contact: Bala Konda Reddy M <bmekala>
Severity: high Docs Contact:
Priority: unspecified    
Version: rhgs-3.4CC: amukherj, bgoyal, bmekala, kramdoss, nchilaka, pkarampu, pprakash, prasanna.kalever, rhinduja, rhs-bugs, sankarshan, sheggodu, storage-qa-internal, vbellur, xiubli
Target Milestone: ---   
Target Release: RHGS 3.4.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-3.12.2-14 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1598353 Environment:
Last Closed: 2018-09-04 06:50:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1597568    
Bug Blocks: 1503137    

Comment 3 nchilaka 2018-07-05 11:25:15 UTC
giving ack after discussing with component qe

Comment 9 Bala Konda Reddy M 2018-08-20 12:01:08 UTC
Glusterfs Build:  glusterfs-3.12.2-16
Block Build: gluster-block-0.2.1-24

1. On a three node cluster, created 200 replica(1X3) volumes
2. Created 500 block devices for random volumes.
3. Performed reboot on one node.
4. Once the node is up and running gluster-blockd service didn't started until all the bricks are online.
5. gluster-blockd started after all the bricks are up.

Hence marking it as verified

Comment 10 errata-xmlrpc 2018-09-04 06:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607